import Vue from 'vue'

import ThemeLayout from '@themeLayout'
import ThemeNotFound from '@themeNotFound'
import { injectMixins } from '@app/util'
import rootMixins from '@app/root-mixins'

injectMixins(ThemeLayout, rootMixins)
injectMixins(ThemeNotFound, rootMixins)

export const routes = [
  {
    name: "v-45f2d51ee4b5",
    path: "/",
    component: ThemeLayout,
    beforeEnter: (to, from, next) => {
      import("/Users/mikaelle/Projects/Vincit/knex-db-manager/doc/README.md").then(comp => {
        Vue.component("v-45f2d51ee4b5", comp.default)
        next()
      })
    }
  },
  {
    path: "/index.html",
    redirect: "/"
  },
  {
    name: "v-740a29696baab",
    path: "/changelog/",
    component: ThemeLayout,
    beforeEnter: (to, from, next) => {
      import("/Users/mikaelle/Projects/Vincit/knex-db-manager/doc/changelog/README.md").then(comp => {
        Vue.component("v-740a29696baab", comp.default)
        next()
      })
    }
  },
  {
    path: "/changelog/index.html",
    redirect: "/changelog/"
  },
  {
    path: '*',
    component: ThemeNotFound
  }
]