export const siteData = {
  "title": "knex-db-manager",
  "description": "Tool to create / drop / truncate / copy SQL database",
  "base": "/",
  "pages": [
    {
      "key": "v-45f2d51ee4b5",
      "path": "/",
      "title": "Supported Databases",
      "headers": [
        {
          "level": 2,
          "title": "Supported Databases",
          "slug": "supported-databases"
        },
        {
          "level": 2,
          "title": "Install",
          "slug": "install"
        },
        {
          "level": 2,
          "title": "API & Usage",
          "slug": "api-usage"
        },
        {
          "level": 3,
          "title": "createDbOwnerIfNotExist(): Promise<void>",
          "slug": "createdbownerifnotexist-promise-void"
        },
        {
          "level": 3,
          "title": "createDb(dbName?: string): Promise<void>",
          "slug": "createdb-dbname-string-promise-void"
        },
        {
          "level": 3,
          "title": "dropDb(dbName?: string): Promise<void>",
          "slug": "dropdb-dbname-string-promise-void"
        },
        {
          "level": 3,
          "title": "copyDb(fromDbName: string, toDbName: string): Promise<void>",
          "slug": "copydb-fromdbname-string-todbname-string-promise-void"
        },
        {
          "level": 3,
          "title": "truncateDb(ignoreTables?: string[]): Promise<void>",
          "slug": "truncatedb-ignoretables-string-promise-void"
        },
        {
          "level": 3,
          "title": "updateIdSequences(): Promise<void>",
          "slug": "updateidsequences-promise-void"
        },
        {
          "level": 3,
          "title": "populateDb(glob: string): Promise<void>",
          "slug": "populatedb-glob-string-promise-void"
        },
        {
          "level": 3,
          "title": "migrateDb(): Promise<void>",
          "slug": "migratedb-promise-void"
        },
        {
          "level": 3,
          "title": "dbVersion(): Promise<string>",
          "slug": "dbversion-promise-string"
        },
        {
          "level": 3,
          "title": "close(): Promise<void>",
          "slug": "close-promise-void"
        },
        {
          "level": 3,
          "title": "closeKnex(): Promise<void>",
          "slug": "closeknex-promise-void"
        },
        {
          "level": 3,
          "title": "knexInstance(): QueryBuilder",
          "slug": "knexinstance-querybuilder"
        }
      ]
    },
    {
      "key": "v-740a29696baab",
      "path": "/changelog/",
      "title": "Changelog",
      "headers": [
        {
          "level": 3,
          "title": "0.5.0",
          "slug": "_0-5-0"
        },
        {
          "level": 3,
          "title": "0.4.0",
          "slug": "_0-4-0"
        },
        {
          "level": 3,
          "title": "0.3.0",
          "slug": "_0-3-0"
        },
        {
          "level": 3,
          "title": "0.2.0",
          "slug": "_0-2-0"
        }
      ]
    }
  ],
  "themeConfig": {
    "displayAllHeaders": true,
    "nav": [
      {
        "text": "Home",
        "link": "/"
      },
      {
        "text": "Changelog",
        "link": "/changelog/"
      },
      {
        "text": "Github",
        "link": "https://github.com/Vincit/knex-db-manager"
      }
    ],
    "sidebar": [
      [
        "/",
        "Home"
      ],
      [
        "/changelog/",
        "Changelog"
      ]
    ],
    "sidebarDepth": 2
  }
}